const express = require('express');
const { protect } = require('../middleware/auth');
const { getSecret } = require('../controllers/protectedController');

const router = express.Router();

// Example protected backend route
router.get('/test', protect, getSecret);

module.exports = router;
